var ticketUpdateHandler = require("./ticket-update-handler");
 
function onTicketCreate(ticket) {
  var category = ticket.custom_fields.cf_product_type1_2059902;
  var reason = ticket.custom_fields.cf_new_reason_for_interaction_2059902;
  if (category && reason) {
    var subject = `${category} - ${reason}`;
    var subReason = ticket.custom_fields.cf_new_subreason_for_interaction_2059902;
    if (subReason)
      subject += ` - ${subReason}`;
    if (ticket.subject != subject)
      ticketUpdateHandler.create(ticket.id, subject);
  }
  console.log("Create", subject);
}
 
function onTicketUpdate(ticket) {
  var category = ticket.custom_fields.cf_product_type1;
  var reason = ticket.custom_fields.cf_new_reason_for_interaction;
  if (category && reason) {
    var subject = `${category} - ${reason}`;
    var subReason = ticket.custom_fields.cf_new_subreason_for_interaction;
    if (subReason)
      subject += ` - ${subReason}`;
    if (ticket.subject != subject)
      ticketUpdateHandler.update(ticket.id, subject);
  }
  console.log("Update", subject);
}

exports = {
  create: onTicketCreate,
  update: onTicketUpdate
};
